Bug 95458 - net-im/jabberd port doesn't work with bdb storage backend
net-im/jabberd port doesn't work with bdb storage backend
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Johan van Selst
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-07 05:30 UTC by sergey
Modified: 2006-06-25 18:00 UTC (History)
0 users

See Also:


Attachments
Makefile.patch (436 bytes, patch)
2006-05-12 06:15 UTC, sergey
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description sergey 2006-04-07 05:30:13 UTC
	<precise descRiption of the problem (multiple lines)>
jabberd processes refuses to start with this messages in jabberd.log:

Apr  7 11:24:37 ugai-test jabberd/resolver[70934]: starting up
Apr  7 11:24:37 ugai-test jabberd/sm[70935]: starting up
Apr  7 11:24:37 ugai-test jabberd/resolver[70934]: process id is 70934, written
to /var/jabberd/pid/resolver.pid
Apr  7 11:24:37 ugai-test jabberd/resolver[70934]: attempting connection to rout
er at 127.0.0.1, port=5347
Apr  7 11:24:37 ugai-test jabberd/resolver[70934]: connection attempt to router
failed: Connection refused (61)
Apr  7 11:24:37 ugai-test jabberd/router[70933]: starting up
Apr  7 11:24:37 ugai-test jabberd/router[70933]: process id is 70933, written to
 /var/jabberd/pid/router.pid
Apr  7 11:24:37 ugai-test jabberd/s2s[70936]: starting up (interval=0, queue=0,
keepalive=0, idle=86400)
Apr  7 11:24:37 ugai-test jabberd/s2s[70936]: process id is 70936, written to /v
ar/jabberd/pid/s2s.pid
Apr  7 11:24:37 ugai-test jabberd/router[70933]: loaded user table (2 users)
Apr  7 11:24:37 ugai-test jabberd/c2s[70937]: starting up
Apr  7 11:24:37 ugai-test jabberd/c2s[70937]: process id is 70937, written to /v
ar/jabberd/pid/c2s.pid
Apr  7 11:24:37 ugai-test jabberd/router[70933]: [0.0.0.0, port=5347] listening
for incoming connections
Apr  7 11:24:38 ugai-test jabberd/sm[70935]: id: jabber.road.omskelecom.ru
Apr  7 11:24:38 ugai-test jabberd/sm[70935]: process id is 70935, written to /va
r/jabberd/pid/sm.pid
Apr  7 11:24:38 ugai-test jabberd/s2s[70936]: attempting connection to router at
 127.0.0.1, port=5347
Apr  7 11:24:38 ugai-test jabberd/router[70933]: [127.0.0.1, port=3804] connect
Apr  7 11:24:38 ugai-test jabberd/s2s[70936]: connection to router established
Apr  7 11:24:38 ugai-test jabberd/router[70933]: [127.0.0.1, port=3804] authenti
cated as jabberd
Apr  7 11:24:38 ugai-test jabberd/router[70933]: [s2s] set as default route
Apr  7 11:24:38 ugai-test jabberd/router[70933]: [s2s] online (bound to 127.0.0.
1, port 3804)
Apr  7 11:24:38 ugai-test jabberd/s2s[70936]: [0.0.0.0, port=5269] listening for connections
Apr  7 11:24:38 ugai-test jabberd/s2s[70936]: ready for connections
Apr  7 11:24:38 ugai-test jabberd/c2s[70937]: db: couldn't set panic call: No su
ch file or directory
Apr  7 11:24:38 ugai-test jabberd/sm[70935]: db: couldn't set panic call: No suc
h file or directory
Apr  7 11:24:38 ugai-test jabberd/c2s[70937]: failed to initialise auth module '
db'
Apr  7 11:24:38 ugai-test jabberd/sm[70935]: initialisation of storage driver 'd
b' failed
Apr  7 11:24:38 ugai-test jabberd/sm[70935]: failed to initialise one or more st
orage drivers, aborting
Apr  7 11:24:38 ugai-test jabberd/s2s[70936]: shutting down
Apr  7 11:24:38 ugai-test jabberd/router[70933]: shutting down
Apr  7 11:24:38 ugai-test jabberd/resolver[70934]: shutting down
Apr  7 11:24:38 ugai-test jabberd/router[70933]: [127.0.0.1, port=3804] disconne
ct
Apr  7 11:24:38 ugai-test jabberd/router[70933]: [s2s] default route offline
Apr  7 11:24:38 ugai-test jabberd/router[70933]: [s2s] offline

possible reason is that port using headers from db41 port, but jabberd binaries are linked against db43 libs.
btw, net-im/jabberd used to work in this configuration before upgrade to 2.0.10 (or something around that)

How-To-Repeat: 	
just install net-im/jabberd port with multiple versions of Berkeley DB installed.
Comment 1 Edwin Groothuis freebsd_committer 2006-04-07 05:32:09 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback
Comment 2 sergey 2006-05-12 06:15:43 UTC
i've managed to get it working. now it uses bdb43 headers and links against
correct libs.
patch attached.
-- 
WBFH: -error IL2: =SB=error
SGA16-RIPE
Comment 3 sat freebsd_committer 2006-05-25 19:16:50 UTC
State Changed
From-To: feedback->open

Maintainer timeout
Comment 4 kirk 2006-06-09 14:36:47 UTC
Thanks for the patch - it also fixes that problem on my (the maintainer's) 
system.
-- 
Kirk Strauser
Comment 5 Johan van Selst freebsd_committer 2006-06-22 16:00:36 UTC
Responsible Changed
From-To: freebsd-ports-bugs->johans

I'll take it.
Comment 6 Johan van Selst freebsd_committer 2006-06-25 17:59:34 UTC
State Changed
From-To: open->closed

Committed to the ports tree. Thanks.